<< dftmtx | FOSSEE_Signal_Processing_Toolbox | diric >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > digitrevorder

# digitrevorder

Returns input data in digit-reversed order.

### Syntax

    [y, i] = digitrevorder(x, r)
    y = digitrevorder(x, r)

### Parameters

x:

  Vector of real or complex values. The input data to be reordered.

r:

  Scalar. The radix/base for digit reversal. Must be an integer between 2 and 36.

y:

  Vector. The input vector reordered in digit-reversed order.

i:

  Vector. The indices corresponding to the digit-reversed order.

### Description

This function returns the input data after reversing the digits of the indices and reordering the elements of the input array. The radix `r` determines the base for digit reversal.

### Examples

    x = [%i, 1, 3, 6*%i]
    r = 2
    [y, i] = digitrevorder(x, r)

### See also

- dec2base

Report an issue
<< dftmtx | FOSSEE_Signal_Processing_Toolbox | diric >>